var m_1715877715374Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Monitor the licensed throughput<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1715877715374\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Monitor the licensed throughput<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1715877715374_N10008\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1715877715374_N10009\">The Airlock Microgateway premium license model is trust-based and applies to calendar-based monthly request rates and you should upgrade your license if the number of requests exceeds the licensed count. To monitor the requests per calendar month, follow our example Prometheus request configuration and set up a Grafana licensing dashboard or similar.<br\/>Note that monitoring the throughput of a Community Edition license is unnecessary, as this edition has a hard limit.<\/p><div xmlns=\"\" class=\"container-warning info\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/info_icon_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_info\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1715877715374_N1001E\">Due to the default Prometheus storage retention, licensing information might get lost. Therefore, we recommend setting up a dedicated Prometheus deployment with a higher storage retention for license monitoring or other Microgateway metrics.<\/p><\/div><\/div><\/div><\/div><\/div><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1715877715374_N10005\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Prometheus query examples<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1715877715374_N10025\">For total request count monitoring, the metric <code class=\"codeinline\">microgateway_license_http_rq_total<\/code> is available.<\/p><table border=\"0\" cellspacing=\"0\" class=\"table-NoBorder table table-Nolines table-Nolines table- table-block-description table-\" id=\"1715877715374_N1002A\"><col style=\"width:100%;\"\/><tbody class=\"tbody\"><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-Nolines table-cell-odd table-cell-odd-Nolines table-cell-firstcolumn table-cell-firstcolumn-Nolines table-cell-firstcolumn-Nolines table-cell-firstrow table-cell-firstrow-Nolines table-cell-lastcolumn table-cell-lastcolumn-Nolines table-cell-lastcolumn-Nolines table-cell-col-odd-Nolines\"><div><p class=\"par\" id=\"1715877715374_N10038\"><strong class=\"emphasis\">Example A \u2013 standard query<\/strong><\/p><p class=\"par\" id=\"1715877715374_N1003B\">The following Prometheus query will generate smoothed-out metrics over 30 days. This can be useful for a quick visualization using <code class=\"codeinline\">\/graph<\/code>, the built-in Prometheus expression browser:<\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10040\">round(sum(increase(microgateway_license_http_rq_total[30d:15s])))<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-Nolines table-cell-even table-cell-even-Nolines table-cell-firstcolumn table-cell-firstcolumn-Nolines table-cell-firstcolumn-Nolines table-cell-lastrow table-cell-lastrow-Nolines table-cell-lastcolumn table-cell-lastcolumn-Nolines table-cell-lastcolumn-Nolines table-cell-col-odd-Nolines\"><div><p class=\"par\" id=\"1715877715374_N10046\"><strong class=\"emphasis\">Example B \u2013 refined query for Grafana usage<\/strong><\/p><p class=\"par\" id=\"1715877715374_N10049\">As Airlock Microgateway licensing is based on a calendar month, you could use the following Prometheus query to allow for <i class=\"italics\">This month<\/i> and <i class=\"italics\">Previous month<\/i> filtering in Grafana:<\/p><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10054\">round(sum(increase(microgateway_license_http_rq_total[$__range:15s])))<\/pre><\/div><\/div><\/div><\/div><\/div><\/div><\/td><\/tr><\/tbody><\/table><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1715877715374_N1005E\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">How to interpret a Grafana licensing dashboard view<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1715877715374_N10028\">Interpreting the metrics to check the licensing situation with a Grafana dashboard is easy if you add a threshold line according to the licensed throughput.<\/p><ol class=\"enum-enum-instruction container-enum instruction standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">Prepare a Grafana dashboard:<\/li><li class=\"step\">Find out the licensed requests limit per month count. For this, either check your premium license order or read out the metric value:<\/li><div xmlns=\"\" class=\"container-buttons-notice\"><a class=\"actionButton actionButtonCopy\" href=\"#\">copy<\/a><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N1007B1717487143352\">microgateway_license_max_rq_count_per_month<\/pre><\/div><\/div><\/div><\/div><\/div><li class=\"step\">Configure an absolute threshold line based on the request limit as described in the <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/grafana.com\/docs\/grafana\/latest\/panels-visualizations\/configure-thresholds\/\" target=\"_blank\">Grafana thresholds documentation<\/a>.<\/li><li class=\"step\">Add the refined Grafana query from <i class=\"italics\">Example B<\/i>:<\/li><div xmlns=\"\" class=\"container-warning example\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/warning_ico_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_example\"><div class=\"warning-notice\"><pre xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"code\" id=\"N10054\">round(sum(increase(microgateway_license_http_rq_total[$__range:15s])))<\/pre><\/div><\/div><\/div><\/div><\/div><li class=\"step\">Adjust the Grafana <i class=\"italics\">Query options<\/i>, e.g., to <i class=\"italics\">1M\/M<\/i> to visualize the request counts for the last and current calendar month. For more information see <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/grafana.com\/docs\/grafana\/latest\/panels-visualizations\/query-transform-data\/#query-options\" target=\"_blank\">Grafana query option documentation<\/a>.<\/li><li class=\"step result\">Whenever the monthly request count in the chart is <strong class=\"emphasis\">below<\/strong> the threshold line, the Airlock Microgateway license is sufficient.<\/li><\/ol><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1715877715374_N100BF\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Further information and links<\/h2><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">Internal links:<\/strong><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1681413666718.html\">Configuration and monitoring of licenses<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1682000137685.html\">Using Microgateway Prometheus metrics<\/a><\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">External links:<\/strong><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/grafana.com\/docs\/grafana\/latest\/panels-visualizations\/configure-thresholds\/\" target=\"_blank\">Grafana thresholds documentation<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/grafana.com\/docs\/grafana\/latest\/panels-visualizations\/query-transform-data\/#query-options\" target=\"_blank\">Grafana query option documentation<\/a><\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';