var m_1718296903375Xml = '<html xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" lang=\"en-us\" xml:lang=\"en-us\"><head><meta content=\"IE=EDGE\" http-equiv=\"x-ua-compatible\"\/><meta charset=\"UTF-8\"\/><meta content=\"width=device-width, initial-scale=1.0\" name=\"viewport\"\/><title>Installation mode types<\/title><link href=\"..\/resources\/css\/preview.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/styles.css\" rel=\"stylesheet\" type=\"text\/css\"\/><link href=\"..\/resources\/css\/custom-style.css\" rel=\"stylesheet\" type=\"text\/css\"\/><\/head><body class=\"language-en-us online-help\"><header class=\"header\"><div class=\"header-ct\"><nav class=\"main-nav\"><div class=\"nav-ct\"><a class=\"nav-logo\" href=\"..\/index.html\"><\/a><\/div><\/nav><\/div><\/header><section class=\"section\" id=\"1718296903375\"><div class=\" section-inner-ct\"><header class=\"section-header\"><div class=\" headline-content-ct\"><div class=\" headline-content-content\"><h1 class=\"headline-content\">Installation mode types<\/h1><\/div><\/div><\/header><div id=\"section-column-main-content\"><div class=\" block-ct\"><article class=\"block-description\" id=\"1718296903375_N100081719323864778\"><div class=\" block-inner-ct\"><div class=\" block-content-ct\"><p class=\"par\" id=\"1718296903375_N1000A1719323785307\">In a Kubernetes cluster, Operators can be deployed in different modes concerning the namespace setup. The default installation mode for Airlock Microgateway is <i class=\"italics\">AllNamespaces<\/i> with a single Operator managing all web application Pods with SidecarGateways in a cluster. This is the only installation mode that can be used with the Community edition license. <br\/>For a production environment, multi-namespace installations are commonly used where Airlock Microgateway Operator can watch and operate web application Pods installed in multi-namespace setups. This allows, i.e., to separate production from staging and development. <\/p><div xmlns=\"\" class=\"container-warning info\"><div class=\"table-notice\"><div class=\"icon-notice\"><div class=\"container-warning-icon\"><img height=\"35\" src=\"..\/resources\/images\/info_icon_w.svg\" width=\"40\"\/><\/div><\/div><div class=\"content-notice\"><div class=\"warning-notice_info\"><div class=\"warning-notice\"><p xmlns=\"http:\/\/www.w3.org\/1999\/xhtml\" class=\"par\" id=\"1718296903375_N10015\">To achieve an optimum level of segregation and low memory consumption of the Operator, we recommend using a <i class=\"italics\">static<\/i> rather than a <i class=\"italics\">dynamic<\/i> MultiNamespace installation.<\/p><\/div><\/div><\/div><\/div><\/div><p class=\"par\" id=\"1718296903375_N10019\">The installation modes can be configured via the Microgateway Operator Helm chart by setting the <code class=\"codeinline\">operator.watchNamespaces<\/code> and <code class=\"codeinline\">operator.watchNamespaceSelector<\/code> values.<\/p><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1718296903375_N1000A\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Cluster-scoped installation modes<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1718296903375_N10017\">Role-based access control (RBAC) is created <i class=\"italics\">cluster-scoped<\/i> (using ClusterRoles and ClusterRoleBindings) in the respective cluster for the following installation modes:<\/p><table border=\"0\" cellspacing=\"0\" class=\"table table table-BoldHeader table-BoldHeader table- table-block-description table-\" id=\"1718296903375_N1000B\"><col style=\"width:33%;\"\/><col style=\"width:33%;\"\/><thead class=\"thead-BoldHeader\"><tr class=\"table-row\"><th class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-firstrow table-cell-firstrow-BoldHeader table-header table-header-horizontal table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N10037\">AllNamespaces (default)<\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstrow table-cell-firstrow-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-header table-header-horizontal table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N1003D\">Dynamic MultiNamespace<\/p><\/div><\/th><\/tr><\/thead><tbody class=\"tbody-BoldHeader\"><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N1007A\">In a simple <i class=\"italics\">AllNamespace<\/i> installation mode, the Airlock Microgateway Operator and web application Pods with SidecarGateways can be deployed in multiple separate namespaces. <\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-innerrow table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N10080\">In a dynamic <i class=\"italics\">MultiNamespace<\/i> installation mode, the Airlock Microgateway Operator and web application Pods with SidecarGateways in multiple separate namespaces. <\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td align=\"justify\" class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\" valign=\"top\"><div><figure class=\"media\"><div class=\"media-theme\" id=\"1718296903375_N100A51719498093504\"><img alt=\"AllNamespaces\" class=\"media-theme-img-tag drawio\" src=\"..\/media\/05_Media\/Vector_drawings\/Microgateway\/36136.AllNamespaces.theme\/1.2\/en-us.36136.AllNamespaces_original.svg\" style=\"width:;height:733px;border:0;\"\/><\/div><\/figure><\/div><\/td><td align=\"justify\" class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-innerrow table-cell-col-even-BoldHeader\" valign=\"top\"><div><figure class=\"media\"><div class=\"media-theme\" id=\"1718296903375_N100B7\"><img alt=\"DynamicMultiNamespaces\" class=\"media-theme-img-tag drawio\" src=\"..\/media\/05_Media\/Vector_drawings\/Microgateway\/36137.DynamicMultiNamespaces.theme\/1.4\/en-us.36137.DynamicMultiNamespaces_original.svg\" style=\"width:;height:723px;border:0;\"\/><\/div><\/figure><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-lastrow table-cell-lastrow-BoldHeader table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N100FB\">The  Operator watches all namespaces. <code class=\"codeinline\">watchNamespaces<\/code> and <code class=\"codeinline\">watchNamespaceSelector<\/code> are not configured.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard first last\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">This mode is limited to a single Operator that watches all namespaces.<\/li><\/ul><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-lastrow table-cell-lastrow-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N10105\">The  Operator watches multiple namespaces where the <code class=\"codeinline\">watchNamespaceSelector<\/code> matches the labels. For more information, see the <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/kubernetes.io\/docs\/concepts\/overview\/working-with-objects\/labels\/#label-selectors\" target=\"_blank\">Kubernetes label selectors<\/a> documentation. You can use <code class=\"codeinline\">--set-json<\/code> to set JSON values (scalars\/objects\/arrays) from the command line, see <a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/helm.sh\/docs\/helm\/helm_install\/\" target=\"_blank\">Helm install documentation<\/a>.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard first last\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\"><code class=\"codeinline\">matchLabels<\/code> and <code class=\"codeinline\">matchExpressions<\/code> are supported. <\/li><li class=\"enum-element\">Namespaces can dynamically be added and removed from the watch scope by changing their labels. Restarting the application pods is required to complete the action. Restarting the Operator Pod is not required.<\/li><li class=\"enum-element\">If several Operators are deployed, the administrator must <strong class=\"emphasis\">ensure that namespaces exclusively match only one of the Operators<\/strong>.<\/li><li class=\"enum-element\">The <code class=\"codeinline\">watchNamespaces<\/code> list must be left empty.<\/li><li class=\"enum-element\">This mode requires a Premium edition license. <\/li><\/ul><\/div><\/td><\/tr><\/tbody><\/table><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1718296903375_N100BD\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Namespace-scoped installation modes<\/h2><\/div><\/header><div class=\" block-content-ct\"><p class=\"par\" id=\"1718296903375_N100BC\">Role-based access control (RBAC) is created <i class=\"italics\">namespace-scoped<\/i> (using Roles and RoleBindings) in the respective namespaces for the following installation modes:<\/p><table border=\"0\" cellspacing=\"0\" class=\"table table table-BoldHeader table-BoldHeader table- table-block-description table-\" id=\"1718296903375_N100BE\"><col style=\"width:33%;\"\/><col style=\"width:33%;\"\/><col style=\"width:33%;\"\/><thead class=\"thead-BoldHeader\"><tr class=\"table-row\"><th class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-firstrow table-cell-firstrow-BoldHeader table-header table-header-horizontal table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N10038\">Static MultiNamespace<\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstrow table-cell-firstrow-BoldHeader table-header table-header-horizontal table-cell-innercol table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N10033\">SingleNamespace<\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstrow table-cell-firstrow-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-header table-header-horizontal table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N1002E\">OwnNamespace<\/p><\/div><\/th><\/tr><\/thead><tbody class=\"tbody-BoldHeader\"><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N1006C\">In a static <i class=\"italics\">MultiNamespace<\/i> installation mode, the Airlock Microgateway Operator and web application Pods with SidecarGateways in multiple separate namespaces. <\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-innerrow table-cell-innercol table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N10060\">In a <i class=\"italics\">SingleNamespace<\/i> installation mode, the Airlock Microgateway Operator and one or more web application Pods with SidecarGateways are deployed in two separate namespaces.<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N10058\">In an <i class=\"italics\">OwnNamespace<\/i> installation mode, the Airlock Microgateway Operator and one or more web application Pods with SidecarGateways share a single namespace.<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td align=\"justify\" class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\" valign=\"top\"><div><figure class=\"media\"><div class=\"media-theme\" id=\"1718296903375_N100771719315185432\"><img alt=\"StaticMultiNamespace\" class=\"media-theme-img-tag drawio\" src=\"..\/media\/05_Media\/Vector_drawings\/Microgateway\/36138.StaticMultiNamespace.theme\/1.4\/en-us.36138.StaticMultiNamespace_original.svg\" style=\"width:;height:704px;border:0;\"\/><\/div><\/figure><\/div><\/td><td align=\"justify\" class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-innerrow table-cell-innercol table-cell-col-even-BoldHeader\" valign=\"top\"><div><figure class=\"media\"><div class=\"media-theme\" id=\"1718296903375_N10068\"><img alt=\"SingleNamespace\" class=\"media-theme-img-tag drawio\" src=\"..\/media\/05_Media\/Vector_drawings\/Microgateway\/36139.SingleNamespace.theme\/1.4\/en-us.36139.SingleNamespace_original.svg\" style=\"width:;height:703px;border:0;\"\/><\/div><\/figure><\/div><\/td><td align=\"justify\" class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\" valign=\"top\"><div><figure class=\"media\"><div class=\"media-theme\" id=\"1718296903375_N10059\"><img alt=\"OwnNamespace\" class=\"media-theme-img-tag drawio\" src=\"..\/media\/05_Media\/Vector_drawings\/Microgateway\/36140.OwnNamespace.theme\/1.5\/en-us.36140.OwnNamespace_original.svg\" style=\"width:;height:703px;border:0;\"\/><\/div><\/figure><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-lastrow table-cell-lastrow-BoldHeader table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N100F7\">The Operator watches multiple namespaces according to the <code class=\"codeinline\">watchNamespaces<\/code> list. <\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard first last\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">The <code class=\"codeinline\">watchNamespaces<\/code> list contains a list of multiple namespaces that should be watched by the Operator.<\/li><li class=\"enum-element\">If several Operators are deployed, the administrator must <strong class=\"emphasis\">ensure that namespaces exclusively match only one of the Operators<\/strong>.<\/li><li class=\"enum-element\">The <code class=\"codeinline\">watchNamespaceSelector<\/code> list must be left empty. <\/li><li class=\"enum-element\">This mode requires a Premium edition license. <\/li><\/ul><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-lastrow table-cell-lastrow-BoldHeader table-cell-innercol table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N100E9\">The Operator watches a single namespace according to the <code class=\"codeinline\">watchNamespaces<\/code> list. <\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard first last\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">The <code class=\"codeinline\">watchNamespaces<\/code> list must contain the single namespace of the SidecarGateway resource. <\/li><li class=\"enum-element\">If several Operators are deployed, the administrator must <strong class=\"emphasis\">ensure that namespaces exclusively match only one of the Operators<\/strong>.<\/li><li class=\"enum-element\">In this mode, the Helm test to verify the installation is not available. The test deployment must be disabled <code class=\"codeinline\">--set tests.enabled=false<\/code>.<\/li><li class=\"enum-element\">The <code class=\"codeinline\">watchNamespaceSelector<\/code> list must be left empty. <\/li><li class=\"enum-element\">This mode requires a Premium edition license. <\/li><\/ul><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-lastrow table-cell-lastrow-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N10168\">The Operator watches all web application Pods with SidecarGateway in his namespace.<\/p><ul class=\"enum-enum-instruction container-enum enum-standard fixedStart-1 standard first last\" start=\"1\" style=\"--lastC:0\"><li class=\"enum-element\">The Operator namespace must be added to the <code class=\"codeinline\">watchNamespaces<\/code> list.<\/li><li class=\"enum-element\">The <code class=\"codeinline\">watchNamespaceSelector<\/code> list must be left empty. <\/li><li class=\"enum-element\">This mode requires a Premium edition license. <\/li><\/ul><\/div><\/td><\/tr><\/tbody><\/table><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1718296903375_N10008\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">General benefits and use cases of the available installation modes<\/h2><\/div><\/header><div class=\" block-content-ct\"><table border=\"0\" cellspacing=\"0\" class=\"table table table-BoldHeader table-BoldHeader table- table-block-description table-\" id=\"1718296903375_N101E7\"><col style=\"width:80%;\"\/><col style=\"width:20%;\"\/><thead class=\"thead-BoldHeader\"><tr class=\"table-row\"><th class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-firstrow table-cell-firstrow-BoldHeader table-header table-header-horizontal table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N101FE\">Use cases<\/p><\/div><\/th><th class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstrow table-cell-firstrow-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-header table-header-horizontal table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N101F9\">Installation mode<\/p><\/div><\/th><\/tr><\/thead><tbody class=\"tbody-BoldHeader\"><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N10209\"><i class=\"italics\">Multiple projects within an organization<\/i> <br\/>Companies often have multiple projects under development simultaneously. Multi-namespace allows you to organize these projects independently without conflicts between resources.  <\/p><p class=\"par\" id=\"1718296903375_N1020F\"><i class=\"italics\">Testing and staging environments<\/i> <br\/>Create separate namespaces for testing and staging environments to ensure that changes made in one environment do not affect the other.<\/p><p class=\"par\" id=\"1718296903375_N102151719931820709\"><i class=\"italics\">Upgrade scenario<\/i><br\/>Run different Airlock Microgateway versions in the same Kubernetes cluster. This is applicable for Airlock Microgateway versions 4.3 and later.<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-innerrow table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N10204\">Static\/Dynamic MultiNamespace<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-innerrow table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N10223\"><i class=\"italics\">Multiple tenants in a shared cluster<\/i> <br\/>In a shared cluster, you can use different namespaces for each tenant, providing an extra layer of isolation between them. The recommended installation mode is static MultiNamespace. <\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-odd table-cell-odd-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-innerrow table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N1021E\">Static MultiNamespace<\/p><\/div><\/td><\/tr><tr class=\"table-row\"><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-firstcolumn table-cell-firstcolumn-BoldHeader table-cell-firstcolumn-BoldHeader table-cell-lastrow table-cell-lastrow-BoldHeader table-cell-col-odd-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N10232\"><i class=\"italics\">Self-contained installations<\/i><br\/>Installation mode OwnNamespace allows simple, namespace-scoped installations.<\/p><\/div><\/td><td class=\"table-cell table-cell table-cell-BoldHeader table-cell-even table-cell-even-BoldHeader table-cell-lastrow table-cell-lastrow-BoldHeader table-cell-lastcolumn table-cell-lastcolumn-BoldHeader table-cell-lastcolumn-BoldHeader table-cell-col-even-BoldHeader\"><div><p class=\"par\" id=\"1718296903375_N1022D\">OwnNamespace<\/p><\/div><\/td><\/tr><\/tbody><\/table><\/div><\/div><\/article><\/div><div class=\" block-ct\"><article class=\"block-description\" id=\"1718296903375_N1017F\"><div class=\" block-inner-ct\"><header class=\" label  label-block-description\"><div class=\" label-content  label-content-block-description\"><h2 class=\"label-title label-title-block-description\">Further information and links<\/h2><\/div><\/header><div class=\" block-content-ct\"><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\"><strong class=\"emphasis\">Internal links:<\/strong><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-xref\" href=\"data\/1659429981428.html\">Microgateway Operator<\/a><\/li><\/ul><ul class=\"enum-enum-instruction container-enum enum-standard standard\" start=\"0\" style=\"--lastC:0\"><li class=\"enum-title\">External links:<\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/kubernetes.io\/docs\/concepts\/overview\/working-with-objects\/labels\/#label-selectors\" target=\"_blank\">Kubernetes label selectors<\/a><\/li><li class=\"enum-element\"><a xmlns:svg=\"http:\/\/www.w3.org\/2000\/svg\" class=\"link link-url\" href=\"https:\/\/helm.sh\/docs\/helm\/helm_install\/\" target=\"_blank\">Helm install documentation<\/a><\/li><\/ul><\/div><\/div><\/article><\/div><\/div><\/div><\/section><script language=\"javascript\" src=\"..\/resources\/js\/jquery.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/SearchHighlight.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/html5-script.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/custom.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery.browser.js\" type=\"text\/javascript\"><\/script><script language=\"javascript\" src=\"..\/resources\/js\/jquery-iframe-auto-height.js\" type=\"text\/javascript\"><\/script><\/body><\/html>';